libname fiadb "C:\user\nims\2008\Islands\Pacific_Islands_Database_10_06_2009.mdb";
*libname fiadb "C:\user\nims\2008\AK\NIMS_40_AK_2009_06_15.mdb";

%let plot_pop_stratum_assgn = NIMS_PLOT_POP_STRATUM_ASSGN;
%let plot = PLOT;
%let cond = COND;
%let tree = TREE;
%let pop_stratum = POP_STRATUM;
%let pop_eval = POP_EVAL;
%let pop_estn_unit = POP_ESTN_UNIT;

/*
data &plot_pop_stratum_assgn.;
  set fiadb.&plot_pop_stratum_assgn.;
  estunit = estn_unit;
run;
*/

data &plot.(drop = cn);
  set fiadb.&plot.(keep = cn cycle subcycle);
  plt_cn = cn;
run;

proc sort data = &plot.;
  by plt_cn;
run;
proc sort data = &plot_pop_stratum_assgn.;
  by plt_cn;
run;


data &plot_pop_stratum_assgn.(where=(cn is not missing));
  merge &plot_pop_stratum_assgn. &plot.;
  by plt_cn;
run;

data &cond.;
  set fiadb.&cond.;
  if statecd in (64, 70 ) then do;
    micrprop_unadj = subpprop_unadj;
  end;
  landclcd = cond_status_cd;
  subpprop = subpprop_unadj;
  micrprop = micrprop_unadj;
  macrprop = macrprop_unadj;
  condprop = condprop_unadj;

  fortypcd_5yr = fortypcd;
  stdage_5yr = stdage;
  stdszcd_5yr = stdszcd;

run;

data &tree.;
  set fiadb.&tree.;
  tpa = tpa_unadj;
run;

data &pop_stratum.;
  set fiadb.&pop_stratum.;
run;


proc sort data = &pop_stratum.;
  by rscd evalid estn_unit stratumcd;
run;

data &pop_eval.;
  set fiadb.&pop_eval.;
run;

proc sort data = &pop_eval.;
  by rscd evalid;
run;

data &pop_estn_unit.;
  set fiadb.&pop_estn_unit.;
  estunit = estn_unit;
run;

proc sort data = &pop_estn_unit.;
  by rscd evalid estn_unit ;
run;



data NIMS_estn_unit_stratum;
  merge &pop_stratum. 
        &pop_eval.(keep = rscd evalid eval_descr);
  by rscd evalid;
  estunit = estn_unit;
  evaldescr = eval_descr;
run;



data NIMS_estn_unit_stratum;
  merge NIMS_estn_unit_stratum &pop_estn_unit.;
  by rscd evalid estn_unit;
  p1pointcnt_eu = p1pntcnt_eu;
run;
