
%macro export_column_format;

data temp_name;
  set row_group_name;
run;
data temp_data;
  set evalid_1;
run;

proc sort data = temp_name;
  by row_group_num;
run;
proc sort data = temp_data;
  by row_group_num;
run;
data temp_data;
  merge temp_name temp_data;
  by row_group_num;
run;



data col_group_name;
format col_group_name $100.;
%do i=1 %to &max_col_num.;
  col_num=&i.;
  col_group_num=&&col_group&i.;
  col_group_name="&&&&col_group_name&&col_group&i.";
  output;
%end;
run;



data column_output(keep= row column total stderr row_group_name col_num);
  set temp_data;
  array col{*}  %do col_run=1 %to &max_col_num.;
                       col_%eval(100*&col_run +1)
				%end;;
  array std{*}  %do col_run=1 %to &max_col_num.;
                       col_std_%eval(100*&col_run +1)
				%end; ;
  do i=1 to dim(col);
     column=vlabel(col{i}); 
     col_num=i;
	 row = row_name;
     total=col{i};
	 stderr  =std{i};
     output;
  end;
run;

proc sort data = column_output;
  by col_num;
run;

proc sort data = col_group_name;
  by col_num;
run;


data column_output(drop = col_num col_group_num);
  merge col_group_name column_output;
  by col_num;
run;


%mend;
/*
%export_column_format;
*/
