/*Define the table we use*/

%macro get_data;


%if (&nims_load_sel. ne "" or &nims_production_sel. ne "") 
	%then %do;

    LIBNAME NIMS  ORACLE
              PATH     = 'IDBFIA,BUFFSIZE=100'
              SCHEMA   = "&nims_schema."
/*              REREAD_EXPOSURE = YES
              UPDATELOCK_TYPE = TABLE
              USER     = "&nims_user."
              PASSWORD = "&nims_password."*/;
    %end;

%if (&access_sel. ne "") 
	%then %do;

    LIBNAME ACCESS ACCESS
            "&access_file.";
    %end;

/*condition Table*/
  %if &cond_source.=1 %then %do;
     %let cond=nims.&cond_name.;
     %end;
  %else %if &cond_source.=2 %then %do;
     %let cond=nims.&cond_name.;
     %end;
  %else %if &cond_source.=3 %then %do;
	   %let cond=access.&cond_name.;
     %end;
  %else %if &cond_source.=4 %then %do;
    %let cond=&sas_library..&cond_name.;
  %end;

  /*CWD Table*/
  %if &cwd_source.=1 %then %do;
     %let cwd=nims.&cwd_name.;
     %let dwm=nims.&dwm_cond_name.;
     %let fwd=nims.&fwd_name.;
     %end;
  %else %if &cwd_source.=2 %then %do;
     %let cwd=nims.&cwd_name.;
     %let dwm=nims.&dwm_cond_name.;
     %let fwd=nims.&fwd_name.;
     %end;
  %else %if &cwd_source.=3 %then %do;
	   %let cwd=access.&cwd_name.;
       %let dwm=access.&dwm_cond_name.;
       %let fwd=access.&fwd_name.;
     %end;
  %else %if &cwd_source.=4 %then %do;
       %let cwd=&sas_library..&cwd_name.;
       %let dwm=&sas_library..&dwm_cond_name.;
       %let fwd=&sas_library..&fwd_name.;
	 %end;




/*PPSA Table*/
  %if &ppsa_source.=1 %then %do;
     %let ppsa=nims.&ppsa_name.;
     %end;
  %else %if &ppsa_source.=2 %then %do;
     %let ppsa=nims.&ppsa_name.;
     %end;
  %else %if &ppsa_source.=3 %then %do;
     %let ppsa=access.&ppsa_name.;
     %end;
  %else %if &ppsa_source.=4 %then %do;
    %let ppsa=&sas_library..&ppsa_name.;
  %end;

/*EUS Table*/
  %if &eus_source.=1 %then %do;
     %let eus=nims.&eus_name.;
     %end;
  %else %if &eus_source.=2 %then %do;
     %let eus=nims.&eus_name.;
     %end;
  %else %if &eus_source.=3 %then %do;
     %let eus=access.&eus_name.;
     %end;
  %else %if &eus_source.=4 %then %do;
    %let eus=&sas_library..&eus_name.;
  %end;



/*pop_plot_stratum_assgn Table*/
  %let table = pop_plot_stratum_assgn;
  %if &pop_plot_stratum_assgn_source=1 %then %do;
     %let pop_plot_stratum_assgn=nims.&pop_plot_stratum_assgn_name.;
     %end;
  %else %if &pop_plot_stratum_assgn_source.=2 %then %do;
     %let pop_plot_stratum_assgn=nims.&pop_plot_stratum_assgn_name.;
     %end;
  %else %if &pop_plot_stratum_assgn_source.=3 %then %do;
     %let pop_plot_stratum_assgn=access.&pop_plot_stratum_assgn_name;
     %end;
  %else %if &pop_plot_stratum_assgn_source.=4 %then %do;
    %let pop_plot_stratum_assgn=&sas_library..&pop_plot_stratum_assgn_name;
  %end;


/*pop_stratum Table*/
  %if &pop_stratum_source=1 %then %do;
     %let pop_stratum=nims.&pop_stratum_name.;
     %end;
  %else %if &pop_stratum_source.=2 %then %do;
     %let pop_stratum=nims.&pop_stratum_name.;
     %end;
  %else %if &pop_stratum_source.=3 %then %do;
     %let pop_stratum=access.&pop_stratum_name.;
     %end;
  %else %if &pop_stratum_source.=4 %then %do;
    %let pop_stratum=&sas_library..&pop_stratum_name.;
  %end;




/*pop_eval Table*/
  %if &pop_eval_source.=1 %then %do;
     %let pop_eval=nims.&pop_eval_name.;
     %end;
  %else %if &pop_eval_source.=2 %then %do;
     %let pop_eval=nims.&pop_eval_name.;
     %end;
  %else %if &pop_eval_source.=3 %then %do;
     %let pop_eval=access.&pop_eval_name.;
     %end;
  %else %if &pop_eval_source.=4 %then %do;
    %let pop_eval=&sas_library..&pop_eval_name.;
  %end;




/*pop_estn_unit Table*/
  %if &pop_estn_unit_source.=1 %then %do;
     %let pop_estn_unit=nims.&pop_estn_unit_name.;
     %end;
  %else %if &pop_estn_unit_source.=2 %then %do;
     %let pop_estn_unit=nims.&pop_estn_unit_name.;
     %end;
  %else %if &pop_estn_unit_source.=3 %then %do;
     %let pop_estn_unit=access.&pop_estn_unit_name.;
     %end;
  %else %if &pop_estn_unit_source.=4 %then %do;
    %let pop_estn_unit=&sas_library..&pop_estn_unit_name.;
  %end;



/*Attribute Table*/
  %if &attribute_sourcex.=1 %then %do;
     %let attribute_tablex=nims.&attribute_namex.;
     %end;
  %else %if &attribute_sourcex.=2 %then %do;
     %let attribute_tablex=nims.&attribute_namex.;
     %end;
  %else %if &attribute_sourcex.=3 %then %do;
     %let attribute_tablex=access.&attribute_namex.;
     %end;
  %else %if &attribute_sourcex.=4 %then %do;
    %let attribute_tablex=&sas_library..&attribute_namex.;
  %end;


/*Denominator Attribute Table*/
  %if &attribute_sourcey.=1 %then %do;
     %let attribute_tabley=nims.&attribute_namey.;
     %end;
  %else %if &attribute_sourcey.=2 %then %do;
     %let attribute_tabley=nims.&attribute_namey.;
     %end;
  %else %if &attribute_sourcey.=3 %then %do;
     %let attribute_tabley=access.&attribute_namey.;
     %end;
  %else %if &attribute_sourcey.=4 %then %do;
    %let attribute_tabley=&sas_library..&attribute_namey.;
  %end;


/*Ftype Table*/
  %if &ftype_source.=1 %then %do;
     %let ftype=nims.&ftype_name.;
     %end;
  %else %if &ftype_source.=2 %then %do;
     %let ftype=nims.&ftype_name.;
     %end;
  %else %if &ftype_source.=3 %then %do;
	   %let ftype=access.&ftype_name.;
     %end;
  %else %if &ftype_source.=4 %then %do;
    %let ftype=&sas_library..&ftype_name.;
  %end;


/*species_group Table*/
  %if &species_group_source.=1 %then %do;
     %let species_group=nims.&species_group_name.;
     %end;
  %else %if &species_group_source.=2 %then %do;
     %let species_group=nims.&species_group_name.;
     %end;
  %else %if &species_group_source.=3 %then %do;
	   %let species_group=access.&species_group_name.;
     %end;
  %else %if &species_group_source.=4 %then %do;
    %let species_group=&sas_library..&species_group_name.;
  %end;

%if "&use_idb" ne "" %then %idb_prepare;

%access_denied;

%mend;

*%get_data;
