

%macro owner_group(direction);
  %if %upcase("&direction")="COL" %then
    %let col_var_name_out=Owner category;

%if &use_idb. ne 1 %then %do;
  %let &direction._rest1x=c.owngrpcd in (10,20,30,40);
  %let &direction._description1=All owners;

  %let &direction._rest2x=c.owngrpcd in (10,20,30);
  %let &direction._description2=Public;

  %let &direction._rest3x=c.owngrpcd in (40);
  %let &direction._description3=Private;

  %let max_&direction._num=3;
%end;
%else %do;
  %let &direction._rest1x=c.own_group in (1,2,3,4);
  %let &direction._description1=All owners;

  %let &direction._rest2x=c.own_group in (1,2,3);
  %let &direction._description2=Public;

  %let &direction._rest3x=c.own_group in (4);
  %let &direction._description3=Private;

  %let max_&direction._num=3;

%end;
%mend;




%macro stand_size_class(direction);
  %if %upcase("&direction")="COL" %then
    %let col_var_name_out=Stand-size class;

%if &use_idb. ne 1 %then %do;
  %let &direction._rest1x=c.stdszcd in (1,2,3,5);
  %let &direction._description1=All stands;

  %let &direction._rest2x=c.stdszcd in (1);
  %let &direction._description2=Sawtimber;

  %let &direction._rest3x=c.stdszcd in (2);
  %let &direction._description3=Poletimber;

  %let &direction._rest4x=c.stdszcd in (3);
  %let &direction._description4=Sapling-seedling;

  %let &direction._rest5x=c.stdszcd in (5);
  %let &direction._description5=Non-stocked;

  %let max_&direction._num=5;
%end;
%else %do;
  %let &direction._rest1x=c.STAND_SIZE_CLASS in (1,2,3,4);
  %let &direction._description1=All stands;

  %let &direction._rest2x=c.STAND_SIZE_CLASS in (3,4);
  %let &direction._description2=Sawtimber;

  %let &direction._rest3x=c.STAND_SIZE_CLASS in (2);
  %let &direction._description3=Poletimber;

  %let &direction._rest4x=c.STAND_SIZE_CLASS in (1);
  %let &direction._description4=Sapling-seedling;

  %let &direction._rest5x=c.STAND_SIZE_CLASS in (6);
  %let &direction._description5=Non-stocked;

  %let max_&direction._num=5;
%end;


%mend;




%macro softwood_hardwood(direction);
  %if %upcase("&direction")="COL" %then
    %let col_var_name_out=Major forest type group;
%if &use_idb. ne 1 %then %do;
  %let &direction._rest1x=t.spcd<999;
  %let &direction._description1=All species;

  %let &direction._rest2x=t.spcd < 300;
  %let &direction._description2=Softwood species;

  %let &direction._rest3x=t.spcd >= 300 and t.spcd<999;
  %let &direction._description3=Hardwood species;

  %let max_&direction._num=3;
%end;
%else %do;  
  %let &direction._rest1x=t.tree_species<999 and t.tree_species ne 99;
  %let &direction._description1=All species;

  %let &direction._rest2x=t.tree_species < 300 and t.tree_species ne 99;
  %let &direction._description2=Softwood species;

  %let &direction._rest3x=t.tree_species >= 300 and t.tree_species<999;
  %let &direction._description3=Hardwood species;

  %let &direction._rest4x=t.tree_species = 99;
  %let &direction._description4=Nonstocked;

  %let max_&direction._num=4;
%end;

%mend;



%macro diameter_class(direction);
  %if %upcase("&direction")="COL" %then
    %let col_var_name_out=Diameter class;

%if &use_idb. ne 1 %then %do;
  %let &direction._rest1x=t.dia >= 5.0;
  %let &direction._description1=All classes;

  %let run_counter=2;

  %do i=5 %to 19 %by 2;
    %let &&direction._rest&run_counter.x= t.dia >=&i. and t.dia < %sysevalf(&i.+2);
    %let &direction._description&run_counter.=&i..0-%sysevalf(&i.+1.9);
*%put "&direction._description&run_counter." = &&direction._description&run_counter.;
*%put "&direction._rest&run_counter." = &&direction._rest&run_counter.;
	%let run_counter=%eval(&run_counter. + 1);
  %end;

  %let &direction._rest&run_counter.x=t.dia >= 21 and t.dia <29;
  %let &direction._description&run_counter.=21.0-28.9;

  %let run_counter=%eval(&run_counter. + 1);

  %let &direction._rest&run_counter.x=t.dia >= 29;
  %let &direction._description&run_counter.=29.0+;

  %let max_&direction._num=&run_counter.;
%end;
%else %do;
  %let &direction._rest1x=t.dbh_in >= 5.0;
  %let &direction._description1=All classes;

  %let run_counter=2;

  %do i=5 %to 19 %by 2;
    %let &direction._rest&run_counter.x= t.dbh_in >=&i. and t.dbh_in < %sysevalf(&i.+2);
    %let &direction._description&run_counter.=&i..0-%sysevalf(&i.+1.9);

	%let run_counter=%eval(&run_counter. + 1);
  %end;

  %let &direction._rest&run_counter.x=t.dbh_in >= 21 and t.dbh_in <29;
  %let &direction._description&run_counter.=21.0-28.9;

  %let run_counter=%eval(&run_counter. + 1);

  %let &direction._rest&run_counter.x=t.dbh_in >= 29;
  %let &direction._description&run_counter.=29.0+;

  %let max_&direction._num=&run_counter.;
%end;

%mend;




%macro predefined;

%if &predefined_row.<=7 %then %do;
  %if &predefined_row.=1 %then %do;
    %spgrpcd_def(row);
  %end;
  %else %if &predefined_row.=2 %then %do;
    %typgrpcd_def(row);
  %end;
  %else %if &predefined_row.=3 %then %do;
    %fortypcd_def(row);
  %end;
  %else %if &predefined_row.=4 %then %do;
    %owner_group(row);
  %end;
  %else %if &predefined_row.=5 %then %do;
    %stand_size_class(row);
  %end;
  %else %if &predefined_row.=6 %then %do;
    %softwood_hardwood(row);
  %end;
  %else %if &predefined_row.=7 %then %do;
    %diameter_class(row);
  %end;
%end;
/*%else %display num_row_col.rows;*/

%if &predefined_col.<=7 %then %do;
  %if &predefined_col.=1 %then %do;
    %spgrpcd_def(col);
  %end;
  %else %if &predefined_col.=2 %then %do;
    %typgrpcd_def(col);
  %end;
  %else %if &predefined_col.=3 %then %do;
    %fortypcd_def(col);
  %end;
  %else %if &predefined_col.=4 %then %do;
    %owner_group(col);
  %end;
  %else %if &predefined_col.=5 %then %do;
    %stand_size_class(col);
  %end;
  %else %if &predefined_col.=6 %then %do;
    %softwood_hardwood(col);
  %end;
  %else %if &predefined_col.=7 %then %do;
    %diameter_class(col);
  %end;
%end;
%else %display num_row_col.col;


%if &predefined_restriction. <= 4 %then %do;
  %if &use_idb. ne 1 %then %do;
    %if &predefined_restriction.=1 %then %do;
      %let restrictionsx=c.cond_status_cd in (1);
    %end;
    %else %if &predefined_restriction.=2 %then %do;
      %let restrictionsx = c.cond_status_cd in (1) and c.reservcd = 0  and c.siteclcd in (1,2,3,4,5,6);
    %end;
    %else %if &predefined_restriction.=3 %then %do;
      %let restrictionsx = c.cond_status_cd in (1) and t.statuscd =1;
    %end;
    %else %if &predefined_restriction.=4 %then %do;
      %let restrictionsx = c.cond_status_cd in (1) and c.reservcd = 0 and c.siteclcd in (1,2,3,4,5,6) and t.statuscd =1 and t.treeclcd=2;
    %end;
  %end;
  %else %do;
      %if &predefined_restriction.=1 %then %do;
	  /*forest land*/
      %let restrictionsx=0<c.glc <60;
    %end;
    %else %if &predefined_restriction.=2 %then %do;
	  /*Timberland*/
      %let restrictionsx = c.glc=20;
    %end;
    %else %if &predefined_restriction.=3 %then %do;
	  /*all live trees on forest land*/
      %let restrictionsx = 0<c.glc<60;
    %end;
    %else %if &predefined_restriction.=4 %then %do;
	  /*growing stock on timberland*/
      %let restrictionsx = c.glc=20 and t.gs_vol_tree_yn="Y";
    %end;
  %end;
%end;	   
%mend;
